# test script for DotForward.pm      -*- perl -*-

use strict;
use Test;

BEGIN { plan test => 3 }

use DotForward;
my $forward = DotForward->new('user');
$forward->list('a', 'b', 'c');
$forward->add('d', 'e');

ok( sub {
	$forward->del('a', 'd', 'z');
      }, 2);

ok( sub {
	$forward->list;
    }, 3);

ok( sub {
	($forward->list)[0] eq 'b' &&
	    ($forward->list)[1] eq 'c' &&
		($forward->list)[2] eq 'e';
    }, 1);
