# test script for DotForward.pm      -*- perl -*-

use strict;
use Test;

BEGIN { plan test => 3 }

use DotForward;
my $forward_org = DotForward->new('user', 't/forward.sample');
my $forward = DotForward->new('user', 't/forward.sample');

$forward->list('a', 'b');
$forward->keep(0);
$forward->write;
$forward = '';
$forward = DotForward->new('user', 't/forward.sample');

ok( sub {
	$forward->list
      }, 2);

ok( sub {
	$forward->keep
      }, 0);

$forward_org->write;

unlink('t/forward.new') if -f 't/forward.new';
my $forward_new = DotForward->new('user', 't/forward.new');
$forward_new->list('a','b');
$forward_new->write;
$forward_new = '';
$forward_new = DotForward->new('user', 't/forward.new');
unlink('t/forward.new');

ok( sub {
	$forward_new->list
      }, 2);
